Skip to main content
POST
/
sentiment_time_series
Get sentiment time series
curl --request POST \
  --url https://community.dashsocial.com/sentiment_time_series \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "brand_ids": [
    123
  ],
  "ai_category_ids": [
    123
  ],
  "assignee_id": 123,
  "assignee_ids": [
    123
  ],
  "interaction_rule_id": 123,
  "interaction_rule_ids": [
    123
  ],
  "is_archived": true,
  "is_follow_up": true,
  "is_negative": true,
  "is_neutral": true,
  "is_positive": true,
  "is_question": true,
  "is_read": true,
  "is_spam": true,
  "media_ids": [
    123
  ],
  "message_content": [],
  "multiple_keywords": true,
  "operators": {},
  "query": "<string>",
  "response_recommended": true,
  "source_updated_after": "2023-11-07T05:31:56Z",
  "source_updated_before": "2023-11-07T05:31:56Z",
  "subtype": [],
  "tag_ids": [
    123
  ],
  "ticket_id": "<string>",
  "types": []
}
'
{
  "data": {
    "2026-03-19": {
      "facebook": {
        "negative": 0,
        "neutral": 0,
        "positive": 0,
        "total": 0
      },
      "instagram": {
        "negative": 1,
        "neutral": 2,
        "positive": 6,
        "total": 9
      },
      "tiktok": {
        "negative": 2,
        "neutral": 2,
        "positive": 8,
        "total": 12
      },
      "twitter": {
        "negative": 0,
        "neutral": 0,
        "positive": 0,
        "total": 0
      },
      "youtube": {
        "negative": 1,
        "neutral": 0,
        "positive": 0,
        "total": 1
      }
    },
    "2026-03-20": {
      "facebook": {
        "negative": 4,
        "neutral": 5,
        "positive": 4,
        "total": 13
      },
      "instagram": {
        "negative": 1,
        "neutral": 3,
        "positive": 5,
        "total": 9
      },
      "tiktok": {
        "negative": 0,
        "neutral": 0,
        "positive": 0,
        "total": 0
      },
      "twitter": {
        "negative": 0,
        "neutral": 0,
        "positive": 0,
        "total": 0
      },
      "youtube": {
        "negative": 1,
        "neutral": 4,
        "positive": 3,
        "total": 8
      }
    },
    "2026-04-17": {
      "facebook": {
        "negative": 0,
        "neutral": 0,
        "positive": 0,
        "total": 0
      },
      "instagram": {
        "negative": 14,
        "neutral": 16,
        "positive": 30,
        "total": 60
      },
      "tiktok": {
        "negative": 0,
        "neutral": 0,
        "positive": 0,
        "total": 0
      },
      "twitter": {
        "negative": 0,
        "neutral": 0,
        "positive": 0,
        "total": 0
      },
      "youtube": {
        "negative": 0,
        "neutral": 0,
        "positive": 0,
        "total": 0
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
brand_ids
integer[]
required

List of brand IDs to fetch sentiment time series for

ai_category_ids
integer[]

Comma separated list of AI category IDs to filter by

assignee_id
integer

ID of the assigned user

assignee_ids
integer[]

Comma separated list of assignee user IDs to filter by

deleted_by
enum<string>

Filter by interactions that were deleted by user or rule

Available options:
RULE,
USER
interaction_rule_id
integer

The interaction rule by which to filter stats

interaction_rule_ids
integer[]

List of interaction rule IDs to filter results by.

is_archived
boolean

Whether the community interaction is marked as archived.

is_follow_up
boolean

Whether the community interaction is marked as follow-up.

is_negative
boolean

Is the comment is labeled as positive.

is_neutral
boolean

Is the comment is labeled as positive.

is_positive
boolean

Is the comment is labeled as positive.

is_question
boolean

Is the comment a question.

is_read
boolean

Whether the community interaction is marked as read.

is_spam
boolean

Is the comment spam.

media_ids
integer[]

Comma separated list of library media IDs

message_content
enum<string>[]

Message content type to filter by

Available options:
EMOJI_ONLY,
GIF_ONLY,
HASHTAG_ONLY,
LINK_ONLY,
MENTION_ONLY,
ONE_WORD_ONLY,
UNSUPPORTED
multiple_keywords
boolean

Flag to determine if query is a list of comma separated keywords.

operators
object

A map of field names, from this schema (and parent schemas), that operators types are provided for.

query
string

A text that helps search for relevant records.

Determine if a response is recommended for the interaction.

scale
enum<string>

Scale of time series data.

Available options:
DAY,
HOUR,
MONTH,
QUARTER,
WEEK
source_updated_after
string<date-time>

When the community interaction was updated according to the source platform.

source_updated_before
string<date-time>

When the community interaction was updated according to the source platform.

subtype
enum<string>[]

Subtypes to filter by

Available options:
POST_SHARE,
REEL_SHARE,
STORY_MENTION,
STORY_REPLY
tag_ids
integer[]

Comma separated list of tag IDs to filter results by. Condition is AND

ticket_id
string

A ticket ID to filter results by with OR condition.

types
enum<string>[]

Comma separated list of types

Available options:
FACEBOOK_ADS_COMMENT,
FACEBOOK_COMMENT,
FACEBOOK_CONVERSATION,
INSTAGRAM_ADS_COMMENT,
INSTAGRAM_COMMENT,
INSTAGRAM_CONVERSATION,
TIKTOK_CAPTION_MENTION,
TIKTOK_COMMENT,
TIKTOK_COMMENT_MENTION,
TWITTER_CONVERSATION,
TWITTER_MENTION,
TWITTER_QUOTE,
TWITTER_RETWEET,
YOUTUBE_COMMENT

Response

OK

data
object

The sentiment distribution per date